#!/bin/sh
# Create a single source tree from the various development tools.
# Send comments or questions to dje@cygnus.com.
#
# Assumptions:
# - ./binutils-2.5.2 exists
# - ./gcc-2.7.0 exists
# - ./newlib-1.6 exists
#
# The tree is faked, using symlinks.  The goal is to keep it simple while
# providing a working example.
#
# After running this script:
# 1) mkdir build
# 2) cd build
# 3) ../src/configure --host=[your-host] --target=[your-target] [other options]
# 4) make
# 5) make install
#
# Building in a separate directory assumes of course that you have a version
# of `make' that understands VPATH.  GNU Make is such a critter.
#
# That's it.

mkdir src
cd src

for f in ../binutils-2.5.2/*
do
	ln -s $f
done

ln -s ../newlib-1.6/newlib newlib
ln -s ../gcc-2.7.0 gcc

exit 0
